#!/usr/bin/env python
#
# This file is part of Spic and Span It!
# Author(s): Devan Gartman, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Spic and Span It! is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Spic and Span It! is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Spic and Span It!.  If not, see <http://www.gnu.org/licenses/>.

import pygame
from helpers import *

class BedroomItem(pygame.sprite.Sprite):
	def __init__(self,topleft,main_image_file,recycletext):
		pygame.sprite.Sprite.__init__(self)
		self.screen = pygame.display.get_surface()
		self.area = self.screen.get_rect()

		self.image, self.rect = load_image(main_image_file,-1)
		self.rect.topleft = topleft
		self.recycletext = recycletext

		self.activity_completed = False
		
	def play(self):
		font = pygame.font.Font(None, 40)
		text = font.render(self.recycletext, 1, (255,127,80))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.width/2,self.area.height/2
		self.screen.blit(text, textrect)
		
		font = pygame.font.Font(None, 40)
		text = font.render("Press any key on the keyboard to continue", 1, (255,127,80))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.width/2,self.area.height/2+50
		self.screen.blit(text, textrect)
		
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True

			pygame.display.flip()
