#!/usr/bin/env python
#
# This file is part of Spic and Span It!
# Author(s): Devan Gartman, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Spic and Span It! is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Spic and Span It! is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Spic and Span It!.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 800, 500
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("environment.jpg")
bedroombackground,bedroombackground_rect = load_image("bedroom.bmp")

# Set up the group of activities
activities = pygame.sprite.RenderUpdates()
activities.add(BedroomItem((400,70),"glassbottle.bmp","YAY! Glass is recyclable!"))
activities.add(BedroomItem((560,370),"paperstack.bmp","Yup! Paper is recyclable!"))
activities.add(BedroomItem((270,250),"plasticbottle.bmp","Go plastic! Plastic is recyclable!"))
activities.add(BedroomItem((40,350),"styrocup.jpg","Awww... sorry, styrofoam is not recyclable!"))
activities.add(BedroomItem((520,260),"battery.jpg","Sorry, sadly enough batteries are not recyclable!"))

# Instructions screen
start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.MOUSEBUTTONDOWN: # if the user pressed a key
			if imagerect.collidepoint(event.pos) or imagerect2.collidepoint (event.pos): #aaaaaaaaaddeedd
				start_game = True # start the game
				
	
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font(None, 100)
	text = font.render("Spic and Span It!", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 40)
	text = font.render("Click on items in your bedroom", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 40)
	text = font.render("to find out which are recyclable!", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+30
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 40)
	text = font.render("Choose your character!", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+100
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 40)
	text = font.render("Chandler or Chasity?", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+130
	screen.blit(text, textrect)
	
	image, imagerect = load_image("boy2.bmp")
	imagerect.centerx, imagerect.centery = area.width/6,area.height/2+100
	screen.blit(image,imagerect)
	
	image2, imagerect2 = load_image("girl2.bmp")
	imagerect2.centerx, imagerect2.centery = area.width-100,area.height/2+100
	screen.blit(image2,imagerect2)

	pygame.display.flip()

# Main game play
game_over = False
while not game_over:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			for activity in activities:
				if activity.rect.collidepoint(event.pos):
					activity.play()
	game_over = True
	for activity in activities:
		if not activity.activity_completed:
			game_over = False

	# Draw everything to the screen
	screen.blit(bedroombackground,(0,0))
	activities.draw(screen)
	
	pygame.display.flip()

while True:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the game over message
	font = pygame.font.Font(None, 50)
	text = font.render("Bubye! Thanks for recycling!", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window
